SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions | Variables
VariadicSQLParser.cpp File Reference
`#include "slikenet/VariadicSQLParser.h"`
`#include "slikenet/BitStream.h"`
`#include <stdarg.h>`

Go to the source code of this file.

## Functions

unsigned int | GetTypeMappingIndex (char c)

## Variables

const int | NUM_TYPE_MAPPINGS =7
TypeMapping | typeMappings [NUM_TYPE_MAPPINGS]

## Function Documentation

unsigned int GetTypeMappingIndex | ( | char | c | ) |

Definition at line 38 of file VariadicSQLParser.cpp.

References NUM_TYPE_MAPPINGS, and typeMappings.

Referenced by VariadicSQLParser::GetTypeMappingIndices().

## Variable Documentation

const int NUM_TYPE_MAPPINGS =7

Definition at line 27 of file VariadicSQLParser.cpp.

Referenced by GetTypeMappingIndex().

TypeMapping typeMappings[NUM_TYPE_MAPPINGS]

Initial value:
=
{
{'i', "int"},
{'d', "int"},
{'s', "text"},
{'b', "bool"},
{'f', "numeric"},
{'g', "double precision"},
{'a', "bytea"},
}

Definition at line 28 of file VariadicSQLParser.cpp.

Referenced by VariadicSQLParser::ExtractArguments(), VariadicSQLParser::GetTypeMappingAtIndex(), and GetTypeMappingIndex().